Package com.google.javascript.jscomp.webservice.common

# Interface Protocol.ProtocolEnum

All Known Implementing Classes:
  `Protocol.ApiKeyResponse`, `Protocol.CompilationLevelKey`, `Protocol.FormattingKey`, `Protocol.OutputFormatKey`, `Protocol.OutputInfoKey`, `Protocol.RequestKey`, `Protocol.ResponseTag`, `Protocol.WarningLevelKey`

Enclosing class:
  `Protocol`

public static interface Protocol.ProtocolEnum
All enums that need to be shared between the Java and JS code should implement this interface.

## Method Summary

Modifier and Type
Method
Description
`String`
`getValue()`

## Method Details

### getValue

String getValue()

Returns:
  A string representing the key or value specified by the protocol.